Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

develop and test your plugin for running on Java 11

Use or update to plugin-pom:3.29+
https://github.com/jenkinsci/plugin-pom/blob/master/CHANGELOG.md#329 3.29 contains some updates to be able to build and run your plugins using Java 11.

Release a plugin specifically for Java 11

First, please avoid doing this.

If you really think you have a case where you need it, we encourage you to come over the Jenkins developers mailing list to expose your case and see if we can find another way.

If you really need it, TODO explain the way plugins can be limited to be visible only from instances running Java 11, etc.

run Jenkins using Java 11

...